{
    Flight Drone Display Controller
    (c) 2007 Perry James Mole
    pjm@ridge-communications.ca
    not for commercial use
                       
}
CON
  _CLKMODE = XTAL1 + PLL16X
  _XINFREQ = 5_000_000
  _stack = 48
   
  x_tiles = 16
  y_tiles = 12

VAR
  long seconds,minutes,ap,scale
  long map_xav[8],map_yav[8],xav[8],yav[8],elev[8]  ' moving average values

  long xao,yao,xa,ya,xo,yo,alto      ' inital offsets for zero/home reference
  
  long dx,dy,xd,yd,xb,yb,xs,ys,altitude,speed,heading,distance_to_home
  long meters_per_latitude,meters_per_longitude   ' active running varaibles
  
  long DecimalIndex,spacing,DecimalFlag,Digit,TempNum  ' place some temporay variables here
  long sign,ang,ptr,prop_lat ,prop_rad                 ' to save stack space

  long PAL_Mode      '  these two
  long bitmap[3072]  '  must be contiguous
  
  long display[3072] ' area for graphics engine to create next display bitmap
  
OBJ
    'Clock      :   "Clock_mini"     ' take out stuf we dont't use 
    'gps        :   "GPS_IO_mini"                                      
    'TriXaccel  :   "MCP3208_mini"   ' take out stuf we dont't use (i.e. stop)
    overlay    :   "HITT_Video_Overlay_017"  ' must have active video input with mini
    gr         :   "graphics_mini"
    
PUB Start

overlay.start(@PAL_Mode)  ' start and setup overlay video     
    
gr.start                    ' start and setup graphics engine
gr.setup(x_tiles, y_tiles, 128, 96, @display)
gr.textmode(1,1,8,0)

seconds := 500              ' initalize tenth's of seconds elapsed timer
minutes := -1               ' start at 0 minus 10 seconds 

xo := yo := xao := yao := alto := ap := 0   ' moving average rolling pointer

'Clock.Init(_XINFREQ)        ' set up clock for accuate 10/second
'Clock.SetClock(_CLKMODE)    ' video update rate
'Clock.MarkSync                                                                 
 
repeat                            ' loop until death
  gr.colorwidth(1, 0)             ' Set Color and Width 
  gr.clear                        ' clear graphics for next display update          
  gr.text(84, -95,string("."))   
   
     
  gr.finish 
  gr.copy(@bitmap)         ' show the world what we have done
  'Clock.WaitSyncMSec(100)  ' wait for 1/10 second and then keep on going


DAT

Zero                    word    "0"
DP                      word    "."
Hyphen                  word    "-"        
        